> ## Documentation Index
> Fetch the complete documentation index at: https://developer.worldly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# MSI Get Yield Options

All materials in MIS are normalized to 1kg.  Yields provide conversions for the MSI 1kg material to a linear/volumetric unit.


## OpenAPI

````yaml api-reference/openapi/msi-api.json GET /yields
openapi: 3.0.0
info:
  title: msi-api
  version: 1.0.0
servers:
  - url: https://api-v2.production.higg.org/msi-api/v1
    description: Production
  - url: https://api-v2.demo.higg.org/msi-api/v1
    description: Demo
security:
  - sec0: []
    sec1: []
paths:
  /yields:
    get:
      operationId: GetYields
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseYield'
components:
  schemas:
    ResponseYield:
      properties:
        type:
          items:
            $ref: '#/components/schemas/YieldType'
          type: array
        widthUnit:
          items:
            $ref: '#/components/schemas/YieldWidth'
          type: array
        thicknessUnit:
          items:
            $ref: '#/components/schemas/YieldThickness'
          type: array
        densityLinearUnit:
          items:
            $ref: '#/components/schemas/YieldDensityLinear'
          type: array
        densityVolumetricUnit:
          items:
            $ref: '#/components/schemas/YieldDensityVolumetric'
          type: array
      required:
        - densityLinearUnit
        - densityVolumetricUnit
        - thicknessUnit
        - type
        - widthUnit
      type: object
      additionalProperties: false
    YieldType:
      enum:
        - Yards (linear)
        - Meters (linear)
        - Feet (linear)
        - Square Yards (linear)
        - Square Meters (linear)
        - Square Feet (linear)
        - Yards (volumetric)
        - Meters (volumetric)
        - Feet (volumetric)
        - Square Yards (volumetric)
        - Square Meters (volumetric)
        - Square Feet (volumetric)
      type: string
    YieldWidth:
      enum:
        - m
        - yd
        - in
        - cm
      type: string
    YieldThickness:
      enum:
        - in
        - cm
        - mm
      type: string
    YieldDensityLinear:
      enum:
        - g/m2
        - kg/m2
        - lb/yd2
        - oz/yd2
      type: string
    YieldDensityVolumetric:
      enum:
        - kg/m3
        - lb/ft3
      type: string
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key
    sec1:
      type: apiKey
      in: header
      name: x-developer-request-token

````